#!/bin/sh
set -e

UV=$(perl -MMetaCPAN::Client -le 'print MetaCPAN::Client->new()->release("MetaCPAN-Client")->version')
CV=$(head -n 1 test/t/uscan/metacpan/wanted_files |perl -pe 's/^\D+//;s/\.tar\.gz//')

if [ "$UV" != "$CV" ]; then
	echo 'Bad version'
	exit 77
fi
cd test
TEST_INTERNET=1 prove -v -I../lib t/uscan.t
